Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class Result

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--bea.jolt.pool.DataSet
                        |
                        +--bea.jolt.pool.Result

Direct Known Subclasses:
  ServletResult

public class Result
extends DataSet

This class is returned by the `SessionPool.call()` method after a BEA TUXEDO service has been invoked. It contains the return parameters from a BEA TUXEDO service. If the service returns an application code, the code is available in this class.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected static int` | `APPLICATION_ERROR`
`protected int` | `applicationCode`
`protected java.lang.String` | `detailErrmsg`
`protected int` | `detailErrno`
`protected java.lang.String` | `errmsg`
`protected int` | `errno`
`protected int` | `errtype`
`protected static int` | `NO_ERROR`
`protected static int` | `SYSTEM_ERROR`

Fields inherited from class bea.jolt.pool.DataSet
`unrestricted`

Constructor Summary
`protected` | `Result(int initCapacity)` Creates an object to store the result.

Method Summary
`protected boolean` | `applicationError()` Tests if an application error occurred in the associated service invocation.
`int` | `getApplicationCode()` Gets the application code returned by the BEA TUXEDO service.
`protected int` | `getError()` Gets the system error number if a system error occurred.
`protected int` | `getErrorDetail()` Gets the detailed system error number.
`protected java.lang.String` | `getStringError()` Gets the system error message.
`protected java.lang.String` | `getStringErrorDetail()` Gets the detailed system error message.
`protected boolean` | `noError()` Tests if an error was encountered in the associated service invocation.
`protected boolean` | `systemError()` Tests if a system error occurred in the associated service invocation.

Methods inherited from class bea.jolt.pool.DataSet
`expanded, getCount, getValue, getValue, setValue, setValue`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### errtype

    protected int errtype

### errno

    protected int errno

### detailErrno

    protected int detailErrno

### applicationCode

    protected int applicationCode

### errmsg

    protected java.lang.String errmsg

### detailErrmsg

    protected java.lang.String detailErrmsg

### NO_ERROR

    protected static final int NO_ERROR

### APPLICATION_ERROR

    protected static final int APPLICATION_ERROR

### SYSTEM_ERROR

    protected static final int SYSTEM_ERROR

Constructor Detail

### Result

    protected Result(int initCapacity)

  Creates an object to store the result.

  Parameters:
    `initCapacity` - Initial capacity

Method Detail

### noError

    protected boolean noError()

  Tests if an error was encountered in the associated service invocation. This method, `applicationError()` and `systemError()` are mutually exclusive.

  Returns:
    true if there is no error
  See Also:
    `applicationError()`, `systemError()`

### applicationError

    protected boolean applicationError()

  Tests if an application error occurred in the associated service invocation. The application error is equivalent to a `TPESVCFAIL` in a BEA TUXEDO system. This method, noError() and systemError() are mutually exclusive.

  Returns:
    true if an application error occurred
  See Also:
    `noError()`, `systemError()`

### systemError

    protected boolean systemError()

  Tests if a system error occurred in the associated service invocation. This method, applicationError() and noError() are mutually exclusive.

  Returns:
    true if a system error occurred
  See Also:
    `applicationError()`, `noError()`

### getError

    protected int getError()

  Gets the system error number if a system error occurred. This error number is the same as the `tperrno` returned after a BEA TUXEDO call.

  Returns:
    System error number

### getApplicationCode

    public int getApplicationCode()

  Gets the application code returned by the BEA TUXEDO service. The application code is the same as the `tpurcode` returned by a BEA TUXEDO service.

  Returns:
    Application return code

### getStringError

    protected java.lang.String getStringError()

  Gets the system error message. If it is not a system error, `null` is returned.

  Returns:
    The system error message

### getStringErrorDetail

    protected java.lang.String getStringErrorDetail()

  Gets the detailed system error message. This detailed information is only available starting with BEA TUXEDO 6.4 systems for a limited set of system errors.

  Returns:
    the detailed system error message or null

### getErrorDetail

    protected int getErrorDetail()

  Gets the detailed system error number. This detailed information is only available starting with BEA TUXEDO 6.4 systems for a limited set of system errors.

  Returns:
    the detailed system error number or 0 (zero)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD